# $Revision: 1.41 $, $Date: 2002/10/17 12:25:36 $
Summary:	An enhanced front-end for the ghostscript PostScript(TM) interpreter
Summary(de):	Verbessertes Frontend fr Ghostscript
Summary(fr):	Frontal amlior pour ghostscript
Summary(pl):	Zaawansowana nakadka na ghostscript'a (interpreter PostScriptu(TM))
Summary(tr):	Ghostscript iin grafik arayz
Name:		gv
Version:	3.5.8
Release:	19
License:	GPL
Group:		X11/Applications/Graphics
Source0:	ftp://ftpthep.physik.uni-mainz.de/pub/gv/unix/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-config.patch
Patch1:		%{name}-alias.patch
Patch2:		%{name}-quote.patch
Patch3:		%{name}-fix_NoMan.patch
Patch4:		%{name}-wheel.patch
Patch5:		%{name}-buffer.patch
URL:		http://wwwthep.physik.uni-mainz.de/~plass/gv/
BuildRequires:	Xaw3d-devel >= 1.5
BuildRequires:	XFree86-devel
Requires:	ghostscript
Obsoletes:	ghostview
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Gv provides a user interface for the ghostscript PostScript(TM)
interpreter. Derived from the ghostview program, gv can display
PostScript and PDF documents using the X Window System.

%description -l de
gv ermglicht das Einsehen und Navigieren von PostScript- und PDF-
Dokumenten unter X, indem es eine Benutzeroberflche fr den
Ghostscript- Interpreter bereitstellt. gv basiert auf dem lteren
Programm ghostview.

%description -l fr
gv permet de visualiser et de naviguer dans les documents PostScript
et PDF sur un cran X en offrant une interface pour l'interprteur
ghostscript. gv est bas sur un ancien programme appel ghostview.

%description -l pl
gv umoliwia ogldanie i manipulacj plikami postscriptowymi i
dokumentami w formacie PDF pod X Window. Udostpnia graficzny
interfejs uytkownika do programu ghostscript bdcego interpreterem
jzyka postscript.

%description -l tr
gv, PostScript ve PDF dosyalarn bir X ekran zerinde gsterebilen
ve zerlerinde dolamay salayan bir ghostscript arayzdr.
Ghostview adyla bilinen programdan yola klarak hazrlanmtr.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
xmkmf -a
%{__make} CDEBUGFLAGS="%{rpmcflags}" \
	LOCAL_LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Graphics/Viewers,%{_datadir}/pixmaps}

%{__make} install install.man DESTDIR=$RPM_BUILD_ROOT
ln -sf gv $RPM_BUILD_ROOT%{_bindir}/ghostview

mv -f $RPM_BUILD_ROOT/%{_libdir}/X11/gv/gv_class.ad $RPM_BUILD_ROOT%{_libdir}/X11/app-defaults/GV

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Graphics/Viewers
install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps

gunzip doc/*gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*.html README CHANGES doc/*doc doc/*txt
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Graphics/Viewers/gv.desktop
%{_pixmapsdir}/*
%{_libdir}/X11/app-defaults/GV
%{_mandir}/man1/gv.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gv.spec,v $
Revision 1.41  2002/10/17 12:25:36  qboosh
- added security fix for buffer overflows (buffer patch from RH)
- release 19, STBR

Revision 1.40  2002/10/17 09:39:17  ankry
- new %%doc, rel. 18

Revision 1.39  2002/10/17 08:12:37  qboosh
- updated Source0 URL

Revision 1.38  2002/04/25 16:32:23  arturs
fixed a small typo

Revision 1.37  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.36  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.35  2002/01/18 02:13:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.34  2001/12/29 14:13:48  pawelk
- added gv-wheel.patch (it add's mouse whell support)
- rel: 17

Revision 1.33  2001/08/13 12:52:35  kloczek
- added fix_NoMan patch (now gv build correctly on XF 4.1).

Revision 1.32  2001/08/13 00:51:06  kloczek
- release 16: spec adapterized.

Revision 1.31  2001/05/23 02:14:54  qboosh
- use %%rpmldflags

Revision 1.30  2001/04/30 16:05:19  kloczek
- added using %%{rpmcflags} macro.

Revision 1.29  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%%\{_datadir\}\/pixmaps/\%%\{_pixmapsdir\}/"

Revision 1.28  2001/01/25 20:03:23  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.27  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.26  2000/12/13 18:21:25  kloczek
- release 15.

Revision 1.25  2000/12/11 08:20:49  qboosh
- fixed (swapped) debug condition handling

Revision 1.24  2000/11/05 20:12:39  kloczek
- release 14,
- removed xpm-devel from BuildRequires list,
- added icon for desktop file.

Revision 1.23  2000/09/29 11:43:39  kloczek
- release 13,
- more modifications for %%{debug},
- use rpm new automation suit,
- use "xmkmf -a" instead "xmkmf; make Makefiles".

Revision 1.22  2000/09/29 09:35:43  kura
- added BuildRequires: xpm-devel

Revision 1.21  2000/09/13 19:45:09  kloczek
- release 12,
- added quote patch (filename quoting patch from debian),
- spec adapterized,
- rebuild against Xaw3d 1.5,
- make spec %%debug friendly.

Revision 1.20  2000/06/09 07:22:58  kloczek
- added using %%{__make} macro.

Revision 1.19  2000/05/31 17:23:49  kloczek
- desktop file moved to Graphics/Viewers.

Revision 1.18  2000/05/30 14:34:16  michuz
- release 11
- %%applnkdir changed

Revision 1.17  2000/05/17 07:34:38  wiget
added BuildRequires

Revision 1.16  2000/04/01 11:14:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:54:26  baggins
- translated kloczkish into english

Revision 1.14  1999/11/12 00:58:04  kura
- fixed pl translation
- added Group(pl)

Revision 1.13  1999/10/13 13:08:04  kloczek
- release 9,
- updated en, pl %%description and Summary.

Revision 1.12  1999/09/04 09:08:04  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.11  1999/08/29 21:17:49  kloczek
- removed %%config from file with default X resources.

Revision 1.10  1999/08/29 21:12:36  kloczek
- release 8,
- removed emconfig file,
- removed %%{_libdir}/X11/gv/ files (this is example X resource files for
  gv),
- install as default gv X resources file gv_class.ad.

Revision 1.9  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.8  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %%changelog (for automating them).

* Sun Nov  1 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.5.8-6]
- added %%clean section.

* Wed Aug 26 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.5.8-5]
- added -q %%setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source,
- spec rewrited for using Buildroot,
- added using $RPM_OPT_FLAGS during compile,
- removed COPYING from %doc (copyright statment is in Copyright field),
- added %%config macro for gv X resources,
- added pl translation,
- added %%attr and %%defattr macros in %%files (allows build package from
  non-root account).

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- Manhattan build

* Thu Nov 06 1997 Cristian Gafton <gafton@redhat.com>
- we are installing a symlink to ghostview

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 3.5.8

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 15 1997 Erik Troan <ewt@redhat.com>
- added ghostscript requirement, added errlist patch for glibc.
